/*
 * Copyright (c) 2004-2006 Weswit s.r.l., Via Campanini, 6 - 20124 Milano, Italy.
 * All rights reserved.
 * www.lightstreamer.com
 *
 * This software is the confidential and proprietary information of
 * Weswit s.r.l.
 * You shall not disclose such Confidential Information and shall use it
 * only in accordance with the terms of the license agreement you entered
 * into with Weswit s.r.l.
 */


package com.lightstreamer.adapters.stocklist_demo;

import java.util.HashMap;

/**
 * Used to receive data from the simulated broadcast feed in an
 * asynchronous way, through the onEvent method.
 */
public interface ExternalFeedListener {

    /**
     * Called by the feed for each update event occurrence on some stock.
     * If isSnapshot is true, then the event contains a full snapshot,
     * with the current values of all fields for the stock.
     */
    void onEvent(String itemName, HashMap currentValues, boolean isSnapshot);

}


/*--- Formatted in Lightstreamer Java Convention Style on 2005-11-03 ---*/
